# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class ListType

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.calendar.ListType

All Implemented Interfaces:
  Extension

    public class ListType

extends ValueConstruct

GData schema extension describing calendarlist type property of a calendar

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static ListType` `ACCESSED`
`static ListType` `FAVORITE`
`static ListType` `OWNED`

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ListType()`
`ListType(java.lang.String value)`

Method Summary
`static ExtensionDescription` `getDefaultDescription()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FAVORITE

    public static final ListType FAVORITE

### ACCESSED

    public static final ListType ACCESSED

### OWNED

    public static final ListType OWNED

Constructor Detail

### ListType

    public ListType()

### ListType

    public ListType(java.lang.String value)

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()